Get channel information
curl --request GET \
--url https://{host}/api/{session}/channels/{id} \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/channels/{id}"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/channels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123456789@newsletter",
"name": "News Channel",
"description": "Latest news and updates",
"followersCount": 1523,
"picture": "https://..."
}
Channels
Get Channel Information
Get detailed information of a specific channel
GET
/
api
/
{session}
/
channels
/
{id}
Get channel information
Description
This endpoint returns detailed information of a specific channel through its ID.URL Parameters
string
required
WhatsApp unique authenticated session ID
string
required
Unique ID of the channel to get information
Response
string
Unique ID of the channel
string
Name of the channel
string
Description of the channel
number
Number of followers of the channel
string
URL of the channel image
{
"id": "123456789@newsletter",
"name": "News Channel",
"description": "Latest news and updates",
"followersCount": 1523,
"picture": "https://..."
}
Status Codes
200- Information obtained successfully400- Invalid ID401- Unauthorized404- Channel not found500- Internal server error
Usage Example
curl -X GET https://api.wappfy.com.br/api/my-session/channels/123456789@newsletter
const session = 'my-session';
const channelId = '123456789@newsletter';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/channels/${channelId}`);
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
channel_id = '123456789@newsletter'
response = requests.get(f'https://api.wappfy.com.br/api/{session}/channels/{channel_id}')
data = response.json()
print(data)
Authorizations
Your Wappfy API key (get it at dash.wappfy.com.br)
Path Parameters
Session name (instanceName)
Response
200 - application/json
Newsletter id
Example:
"123123123123@newsletter"
Channel name
Example:
"Channel Name"
Invite link
Example:
"https://www.whatsapp.com/channel/111111111111111111111111"
Available options:
OWNER, ADMIN, SUBSCRIBER, GUEST Preview for channel's picture
Example:
"https://mmg.whatsapp.net/m1/v/t24/An&_nc_cat=10"
Channel's picture
Example:
"https://mmg.whatsapp.net/m1/v/t24/An&_nc_cat=10"
